#!/bin/bash

path_ts2cg = "path_to_TS2CG_folder"
path_curved="../../2.curved_memb/"

#very high wall bead density (just for analysis!)
wall_density=100

#################################################################

function gmx_2d_dens {

        gro="$path_md/md.gro"
        tpr="$path_md/md.tpr"
        xtc="$path_md/md.xtc"

        echo -e "keep 0 \n r $1 \n r $2  \n r wall \n 1|2 \n q" | gmx make_ndx -f $gro
        echo 1 | gmx densmap -s $tpr -f $xtc -n1 300 -n2 240 -aver y -b 3000000 -od $1-dens.dat -n index.ndx
        echo 2 | gmx densmap -s $tpr -f $xtc -n1 300 -n2 240 -aver y -b 3000000 -od $2-dens.dat -n index.ndx
        echo 3 | gmx densmap -s $tpr -f $xtc -n1 300 -n2 240 -aver y -b 3000000 -od Wall-dens.dat -n index.ndx
        echo 4 | gmx densmap -s $tpr -f $xtc -n1 300 -n2 240 -aver y -b 3000000 -od all-dens.dat -n index.ndx
        rm  *#
}

#################################################################

function plot_2d_dens {

	python3 plot_2d_dens.py $path_md
}

#################################################################

function make_ref_wall {

        mkdir REF_WALL
        cd REF_WALL

        cp $path_curved/$system-CURVED/input-$system.str .

        sed -i "s/WallDensity .*/WallDensity "$wall_density" "$wall_density"/"  input-$system.str

        $path_ts2cg/PCG -str input-$system.str -Bondlength 0.25 -LLIB $path_ts2cg/Martini3.LIB -function analytical_shape -WallBName WL -WallH 0.1 -Wall

        cd ../
}

#################################################################

function curv_enrichment {

	python3 curv_enrichment.py $path_md $1 $2
        python3 plot_enrichment.py $path_md $1 $2
}

#################################################################

function curv_analysis {

	system=$1-$2-$3-$4
	path_md=$path_curved/$1-$2-$3-$4-CURVED-NpAT/5_PROD
	gmx_2d_dens $1 $2
	plot_2d_dens
	make_ref_wall
	curv_enrichment $1 $2
}

#################################################################

#               lip1    lip2    ratio1  ratio2
curv_analysis 	POPC    CDL0    0.9     0.1
